 Софтпанорама 1992, No.7 (31)  *** NEWS ***   Составитель: Н.Н. БЕЗРУКОВ
 ************************************************************************

                  ╔═════════════════════════════════════╗
                  ║  П А Н О Р А М А   Н О В О С Т Е Й  ║
                  ╚═════════════════════════════════════╝

************************* Краткая информация ***************************

     Zip 1.9 - Sourceware, обеспечивающее формат и степень сжатия  PKZIP
 1.93A. Да здравствуют Mark Adler, Richard B. Wales, Jean-loup Gailly  и
 Kai Uwe Rommel !!!
     PKZIP 1.93A compatible unzipper доступен как Freeware !
     OS/2 2.0 - фирма IBM доказывает, что ее преждевременно сбрасывают со
 счетов в области программного обеспечения. Микрософт суетится с  Windows
 NT (на 1 сентября Microsoft перенесло более 50 приложений для 32-разряд-
 ной "OS/2-подобной" Windows NT. Биллу Гейту "все мало": цена Windows  NT
 составляет порядка $500).
     Поглощения мелких фирм продолжаются. Борланды купили Brief; интерес-
 но кто купит MultiEdit, точнее Аmerican Cybernetics.
     Не спешите покупать AT/386-33 (резкое снижение цен на 486 процессоры
 и новый 66-Мгц процессор фирмы Интел меняет расстановку игроков на  поле
 персональных компьютеров). Наиболее  популярными CPU становятся  386/40,
 486SLC,  486/33,  486SX/25,  486DX2/50,  486/50.  В  лаптопах доминирует
 386SL.
     SVGA становится стандартом де-факто. Рост популярности "широкоэкран-
 ных" (16") мониторов.  Видеоускорители становятся стандартным  элементом
 мощных компьютеров.
     На материнской  плате -  все кроме  винчестера(включая видеоадаптер,
 ускоритель видеовывода и карту  Ethernet): новые компьютеры фирмы  INTEL
 также просты в разборке и сборке как автомат Калашникова. Кабели  отсут-
 ствуют. Два 2.5"  вентилятора с автоматической  регулировкой("встроенный
 кондиционер").  Используется  программно  перезаписываемый  Flash-BIOS -
 конец проблемам несовместимости!
     Новый стандарт  флоппиков (2.44)  похоже прижился:  HD разжалованы в
 рядовые однако похоже будем вытеснен новыми трехдюймовыми  "флоптически-
 ми" дискеками  (floptical disks)  - 21Mb  ("флоптический" дисковод может
 читать и стандартные трехдюймовки 1.44M).
     Конец "золотого века программирования" ? ( снижение конкурса на  фа-
 культеты готовящие программистов и электронщиков продолжается).
     Нас опять приглашают играть на скачках: долларовый курс резко  пошел
 вверх. Похоже начинается паника на рынке персоналок: устаревшие маломощ-
 ные "стандартные" AT/286 начинают сметать как в конце 91 года.  "Лидеры"
 не дремлют: в киевском "Международном центре информационных  технологий"
 (в просторечии "Юные пионеры") 2  сентября просили 280 т.руб за  "старый
 стандарт"(1M, 42M, VGA, принтер  "Хиндай") т.е. примерно $1300  по курсу
 $1:210, хотя на Западе цена  на "улучшенную" AT/286: 286/16, 2M  RAM, 80
 HD,  SVGA  упала  ниже  $700  и  ими мало кто интересуется ( motherboard
 386sx/25 стоит меньше $100).
                                                                   Б.Н.Н.


*************** Новый 66 Мгц микропроцессор i486DX2/66 ****************
*           существенно меняет ситуацию для производителей
*              и пользователей персональных компьютеров
*
     Начало продаж фирмой Интель этого микропроцессора по значению сопос-
 тавимо с  началом продаж  микропроцессора 80486.  Являясь примерно вдвое
 более производительным, чем AMD 386-40 он фактически превращает в XT 90-
 х годов компьютеры, построенные на  базе 80386 и тем самым,  значительно
 усиливает тенденцию повсеместного перехода на процессоры 80486 как новый
 индустриальный стандарт по меньшей мере на ближайшие три года.

                                               Б.Н.Н. (на базе сообщения
                                               А.Шелеста из США)


******** 8M близко к тому, чтобы стать новым стандартным объемом *******
*                    оперативной памяти для DESKTOP
*
     Стоимость 1MB 80ns RAM упала до $25. (в июне была $49). Поэтому RAM
 менее 8M становятся экономически невыгодными для большинства  компьюте-
 ров и, прежде всего, для компьютеров на базе 486 процессоров. Фактичес-
 ки это новый "стандартный" объем оперативной памяти и вскоре можно ожи-
 дать появление  программных продуктов,  которые не  смогут работать при
 объеме оперативной памяти меньше 8M, подобно тому, как сейчас есть про-
 дукты требующие как минимум 4M оперативной памяти.
                                               Б.Н.Н. (на базе сообщения
                                               А.Шелеста из США)


**************** Винчестер размером со спичечный коробок !!!************
*            200M винчестеры подешевели и цена продолжает падать !
*
    HP выпустило новый 1.5"  винчестер объемом 21MB, имеющий  размер ко-
 робки спичек !!!
    Винчестеры 200M становятся ходовыми винчестерами для 486 машин и, ес-
 тественно, цена на них начала падать. Cейчас она уже ниже $500 (В  июне
 ST1239A стоил $619).
                                               Б.Н.Н. (на базе сообщения
                                               А.Шелеста из США)

*************** Перепрограммируемый BIOS на Flash Memory ****************
*
    Программно перезаписываемый Flash-BIOS, уже используемый в  некоторых
 AT/486, например, выпускаемых фирмой INTEL это фактически конец  пробле-
 мам несовместимости, которые  преследовали многих пользователей,  в осо-
 бенности в связи с чтением нестандартных форматов дискет.
    В связи с тем, что они практически не требуют подпитки для сохранения
 информации, они будут использоваться и для CMOS-памяти.
                                                                  Б.Н.Н.

*********************** Flash Memory: не только BIOS *******************
*
     Исследовательская фирма Market Intelligence считает, что снижающаяся
 стоимость и увеличивающийся объем памяти микросхем Flash Memory по стан-
 дарту PCMCIA приведет к снижению доходов от пpодаж жестких дисков, но  к
 1998 году диски будут все  еще преобладать с соотношением 2:3.  Согласно
 проведенному исследованию, рынок для обоих технологий существенно вырас-
 тет -- с 1 миллиарда доллаpов в  1991 году до более чем 12 миллиардов  к
 1998 году. Микросхемы Flash Memory производят Intel, AT&T, и AMD.  Элек-
 тронные дискеты на  их базе (flashcard)  вставляются в дисководы  PCMCIA
 размером с кредитную карточку и дают сразу до 4 Мб памяти. Их можно  ме-
 нять как дискеты, и они надежнее, чем современные жесткие диски.  Вместе
 с тем, в исследовании отмечается,  что и жесткие диски будут  продолжать
 совершенствоваться, станут меньше и прочнее.

                                        The Teleputing Hotline, V.5 No 22
                                        (Monday, June 1, 1992)


******** Флоппи диски типа Floptical(21MB, 3.5") близки к тому, **********
*                    чтобы стать новым стандартом HD
*
    Помимо существенно  большей емкости  "флоптические" дисководы  могут
 читать старые дискеты 1.44M.
                                                 Б.Н.Н. (на базе сообщения
                                                 А.Шелеста из США)


********* Рынок компьютеров: после падения цен AT/486 покупают **********
*                          как горячие булочки
*
     Объявленное фирмой Intel резкое снижение цен на 80486 привело к  то-
 му, именно этот процессор  можно рассматривать как основу  "стандартного
 компьютера 1993 года". Цены на AT/386 и AT/486 сблизились и ряде случаев
 разница для тактовой частоты 33 Mгц составляет порядка $200. Например  в
 июне Gateway продавал 386dx-33 c винтом 120M за $1800, а 486dx-33 c вин-
 том 200M за $2300. Leading Edge продавал 486dx-33 c 130M винтом за $1999
 (память везде 4M).
     Поскольку компьютер на базе  486 процессора примерно в  полтора раза
 быстрее AT/386 с той же тактовой частотой такое соотношение цен фатально
 для 386 машин.  Тем более, что  "процессором моей мечты"  стал 486dx-66.
 Экспериментальные образцы этих машин,  работающих на частоте 66Mгц  т.е.
 примерно в  два раза  быстрее 486-33  уже продемонстрированы  (HP-Vectra
 486u) и наверняка станут "супермашиной" 1993 года. А пока примерно ту же
 производительность, но за меньшую цену дают speed-doubled машины (с дву-
 мя 25 мегагерцовыми процессорами 486), например Compaq Deskpro 50M.  Эти
 машины и представляют сейчас "рабочую лошадь" для графических приложений
 под Windows или без.
     Такое резкие качественный скачок является нокаутом для пользователей
 16-разрядных  компьютеров,  поскольку  совершенно  ясно,  что   "старые"
 Windows не в состоянии конкурировать на  486 с OS/2 v.2.0 и Windows  NT.
 Последние две являются полноценными многозадачными 32-разрядными  опера-
 ционными системами (никаких идиотских  64K сегментов - бальзам  на изра-
 ненную душу программистов,  ранее работавших на  OC EC), в  то время как
 "старые" Windows ориентированы на 16-разрядные процессоры и в значитель-
 ной мере является надстройкой над старой, доброй MS DOS. В то время  как
 OS/2 v.2.0 это живая система,  которая уже три месяца продается  по цене
 MS DOS, ее аналог в виде Windows NT слегка опоздал и его распространение
 тормозится ценой $500 за копию.
                                                                   Б.Н.Н.

*********************** OS/2 v.2.0 вышла в свет; ***********************
*               Мелким компаниям есть на над чем подумать
*
     В рекламе фирмы говориться,  что OS/2 позволяет прогонять  несколько
 задач для DOS, Windows и  OS/2 одновременно, независимо от версии  в от-
 дельных окнах экрана без всяких проблем. Другими словами реализована на-
 стоящая   мультизадачность.   Имеется   специальная   подсистема   Crash
 Protection, которая  защищает работающее  приложение от  влияния "буйных
 соседей".
     "Пригласительная цена" (special introductory price) для  пользовате-
 лей Windows - $49, для пользователей DOS $99, вполне позволяет  покупать
 OS/2 2.0 нашим программистам.
     Теперь у разработчиков появляется проблема обеспечения переноса сво-
 его программного обеспечения еще и на OS/2. Для мелких фирм и так  пост-
 радавших от  появления Windows  и еще  не вполне  пришедших в себя после
 всех связанных с этим проблем, ситуация сводится в выбору одной  ставки.
 (можно бросанием монеты:). Полную переносимость (если дописать к  "трой-
 ке" еще и UNIX) им уже без специального инструментария не "поднять".
     Тем самым "монстрики" типа  Micrоsoft, Borland, Lotus получают  до-
 полнительные и весьма серьезные преимущества по сравнению со своими бо-
 лее мелкими конкурентами. Т.е. сделан еще один шаг к монополизации  от-
 расли и времена "бури и натиска" мелких компаний стали еще на шаг даль-
 ше. Легко предсказать, что пользователи станут еще консервативнее, и  в
 большей степени будут ориентироваться на продукцию крупных фирм, поско-
 льку борьба Windows NT и OS/2 еще впереди. Вообще становится  несколько
 неясно, куда повернет основная масса пользователей, а за ними и  фирмы-
 производители.
     Теперь о специальном инструментарии. Переносимость компиляторов и би-
 блиотек опять выходит на первый план. Программисты, сделавшие ставку  на
 Zortech C++ могут потирать руки  от удовольствия. У них проблем  гораздо
 меньше, чем у пользователей Borland C++. Таким образом многоплатформовый
 инструментарий  приобретает  для  мелких  компаний характер страховки от
 превратностей судьбы, если они  не хотят бросать монету  и привязываться
 только к одной операционной системе.
     Что касается ответного хода Microsoft, то Билл Гейтс пытается прода-
 вать Windows NT  по $500 и  суетится с переносом  туда приложений (на  1
 сентября Microsoft перенесло более 50 приложений для 32-разрядной "OS/2-
 подобной" Windows NT). Различия между Windows NT и OS/2 не принципиальны
 и впереди, похоже, период здоровой конкуренции.
     В то же время  MS DOS вряд ли  умрет. По слухам готовится  6 версия,
 которая будет включать Stacker.
                                                                   Б.Н.Н.

********* Борланды купили BRIEF, неужели на очереди MultiEdit ? *********
*
     Поглощение мелких фирм  похоже продолжается. Возникает  вопрос: "Кто
 следующий?".
                                                                   Б.Н.Н.


******************************  DIET 1.44 *******************************

     Данный продукт является интересной альтернативой Stacker, в  особен-
 ности для высокоскоростных компьютеров. Diet в резидентном режиме позво-
 ляет сжимать и разжимать текстовые файлы. На AT/286-12 максимальный объ-
 ем файлов архивируемых  на лету составляет  примерно 100K. Иначе  доступ
 замедляется на десяток секунд. В то же время сегментированная на 100 ки-
 лобайтные куски документация читается  великолепно и степень сжатия  на-
 много превосходит Stacker (вместо характерных для Stacker 1.4 получает-
 ся пример 2.3).
                                                                   Б.Н.Н.

*********** Back & Forth Professional - для тех, кто на AT/286 **********

     Версия 2.0 поддерживает MS DOS  5.0 Task Switcher API и  встроенный
 screen grabber. Back & Forth отличает большая гибкость размещения образа
 памяти. Помимо  винчестера допускается  XMS и  EMS. При  загрузке в high
 memory пакет занимает всего 1K (один килобайт!!!) оперативной памяти.
     Наиболее интересным является то, что в версию 2.0 включена масса по-
 лезных утилит. Здесь и редактор и калькулятор и программа запуска  зада-
 ний в заданное время и макроязык и программа запуска часто  используемых
 заданий.
     Все то вместе делает Back & Forth 2.0 одном из лучших переключателей
 заданий из числа распространяющихся Shareware, вполне  конкурентоспособ-
 ного с  коммерческими продуктами  типа Software  Carousel. Учитывая, что
 программа доступна из CompuServe данная версия является одним из  наибо-
 лее перспективных кандидатов для любого, ищущего переключатель заданий.

                                                                   Б.Н.Н.


********************* Statgraphics Plus, версия 5.0 *********************

     Новая версия похоже значительно мощнее предыдущей.
                                                                   Б.Н.Н.


========================= New stuff in PKZIP 2 ============================

 I thought people might be interested in looking at the preliminary version
 of the "what's new" file for PKZIP 2.

 Note that this is very brief/vague/incomplete.

 New stuff in PKZIP 2
 ====================
 PKZIP
 -----

 - New compression algorithm
 - Novell Netware support
 - Four levels of speed/compression plus "zero" compression (storage only)
 - Storage of empty subdirectories
 - Creation multi-volume archives.  PKZIP will also format disks as it
   goes if necessary, otherwise using whatever free space is available
   on each formatted disk.  This feature can use any standard and
   removeable DOS device.
 - "Compatibility" file opening mode.  (-=)
   Opposite of "Share" mode.  Helps overcome some network situations where
   a file would be locked otherwise.
 - Improved archive attribute support. (-a+/-i/-i-)
 - Improved date range support. (-t/-T)

 PKUNZIP
 -------

 - When PKUNZIP detects existing files it now checks before overwriting
   files (y/n/a/r)=Yes/No/All/Rename.  Rename will prompt for a new name,
   All will cause PKUNZIP to continue as though -o had been specified on
   the command line.
 - Exclusion of list files (-x@file.lst)
 - View option now supports pause as well as technical view (-vm/-vt)

 BOTH
 ----

 - Expanded documentation. Including tutorial, "How PKZIP works", Special
   section on encryption, Using List files.  The "How..." section includes
   a theoretical explanation of how compression works (for interested
   folk--not a technical discussion) as well as a general explanation of
   how a file is structured and what happens when PKZIP does it's thing.
 - EMS/XMS support. DPMI Usage.  EMS/XMS support reduces conventional
   memory use significantly.
 - PKZIP/PKUNZIP now can use 386 instructions, EMS XMS and DPMI in a DOS box
   under OS/2 2.0 or above  (Previous versions of OS/2 did not support 386
   instruction usage properly so when PKZIP detects a lower version of OS/2
   it will disable this ability).
 - Creation of List files by PKZIP and PKUNZIP.
 - New improved (very strong) AV feature
 - The size of list file that can be read has be increased to 5000-9700 bytes
   (from 2000-4000)
 - Handy information display shows XMS/EMS/Net use and type of compression
   and CPU type detected.
 - PKSFXjr can now use an output path, it previously could only outp
 - ZIP2EXE Accepts output path
 - ZIP2EXE can now reverse the process with -x
 - The -s "Password" option can now accept input from the keyboard directly.
   This allows complex passwords to be entered more easily.
 - Problems with display of View and Percent complete when working with files
   of 100 megabytes or greater have been fixed.
 - New "Mini" PKUNZIP called PKUNZJR.EXE is less than 3k in size and uses
   very little memory.  Limited to ZIP files containing less than 500 files.
 - 386 instruction/EMS/XMS/DPMI offered in DOS session under OS/2 2.0
   (Previous versions of OS/2 did not support these features properly,
   so PKZIP would disable it's usage of 386 instructions)
 - Volume Label is displayed as single string instead of 8.3 format
   used previously (i.e. "PKWARE VOL" rather than "PKWARE V.OL"
 - View option now supports pause between screens w/more (-vm[...])
   View order can be reversed by adding 'r' to -v option. (-vr[...])
 - Any ANSI codes detected in file names or comments are suppressed,
   preventing ANSI bombs and such mischief.
 - PKZIP 2 includes PKSFANSI (PK Safe ANSI), a (very) small TSR that blocks
   Keyboard reassignment codes with any version of ANSI.  Also offers the
   stipping of color codes which is useful on monochrom systems such as
   laptops.
 - New PKZIP Configuration program allows easy setup of the PKZIP.CFG file.

 7/23/92                                                   Joe Pantuso
                                                           PKWARE Inc.
